searchNodes=[{"ref":"TruffleHog.html","title":"TruffleHog","type":"module","doc":"Provides a method to search for matches within a list of documents using TF-IDF. There are two main use cases: finding which documents are the most similar within the list; finding which document is the most related to a search query. How to use Convert each document into a tuple where the first item is an identifier, and the second is a list of tokens. Tokenizer is not included, because you may want to write your own. Example: [{1, ~w(this is a a sample)}, {2, ~w(this example is another example)}] Create an index using the function index_documents. index = list_documents |&gt; TruffleHog.index_documents() Use find_matches to find the matches on the index. matches = index |&gt; TruffleHog.find_matches([&quot;search&quot;, &quot;items&quot;], quantity)"},{"ref":"TruffleHog.html#find_matches/3","title":"TruffleHog.find_matches/3","type":"function","doc":"Finds the best matches within the index. index must be the return of TruffleHog.index_documents. search is a list of tokens to search for. quantity is the number of matches to be returned. Returns a list of tuples, where the first item of the tuple is the identifier of the document, and the second is a factor of how similar the document is to the search. The list is sorted from most similar to least similar."},{"ref":"TruffleHog.html#index_documents/1","title":"TruffleHog.index_documents/1","type":"function","doc":"Indexes a list of documents. Returns a map with all the indices to make future searches. documents is expected to be a list of pairs, the first being the id of the document, and the second a list of tokens contained in the document. Example argument [{1, ~w(this is a a sample)}, {2, ~w(this example is another example)}]"},{"ref":"TruffleHog.SparseVector.html","title":"TruffleHog.SparseVector","type":"module","doc":""},{"ref":"TruffleHog.SparseVector.html#add_on/3","title":"TruffleHog.SparseVector.add_on/3","type":"function","doc":""},{"ref":"TruffleHog.SparseVector.html#cosine/2","title":"TruffleHog.SparseVector.cosine/2","type":"function","doc":""},{"ref":"TruffleHog.SparseVector.html#dot_product/2","title":"TruffleHog.SparseVector.dot_product/2","type":"function","doc":""},{"ref":"TruffleHog.SparseVector.html#empty_vector/0","title":"TruffleHog.SparseVector.empty_vector/0","type":"function","doc":""},{"ref":"TruffleHog.SparseVector.html#get_value/2","title":"TruffleHog.SparseVector.get_value/2","type":"function","doc":""},{"ref":"TruffleHog.SparseVector.html#is_empty/1","title":"TruffleHog.SparseVector.is_empty/1","type":"function","doc":""},{"ref":"TruffleHog.SparseVector.html#replace_on/3","title":"TruffleHog.SparseVector.replace_on/3","type":"function","doc":""},{"ref":"TruffleHog.SparseVector.html#vector_length/1","title":"TruffleHog.SparseVector.vector_length/1","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html","title":"TruffleHog.WordBag","type":"module","doc":""},{"ref":"TruffleHog.WordBag.html#add_document/2","title":"TruffleHog.WordBag.add_document/2","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html#add_word/2","title":"TruffleHog.WordBag.add_word/2","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html#empty_bag/0","title":"TruffleHog.WordBag.empty_bag/0","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html#find_occurrences/2","title":"TruffleHog.WordBag.find_occurrences/2","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html#idf/2","title":"TruffleHog.WordBag.idf/2","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html#merge_words/2","title":"TruffleHog.WordBag.merge_words/2","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html#size/1","title":"TruffleHog.WordBag.size/1","type":"function","doc":""},{"ref":"TruffleHog.WordBag.html#tf_idf/2","title":"TruffleHog.WordBag.tf_idf/2","type":"function","doc":""}]